WampServer2.5增加PHP7支持

前言:笔者的WampServer是32位版本,使用64位版本的朋友可以参考。

1.下载PHP7
选择 VC15 x86 Thread Safe,将下载好的压缩包解压到wamp/bin/php目录下

2.下载VC15运行库安装
x86: vc_redist.x86.exe
x64: vc_redist.x64.exe

3.将原来版本的php5.5.12文件夹中的,php.ini,phpForApache.ini,wampserver.conf文件复制到php7.3.4文件夹中。

4.修改php7.3.4文件夹内的php.ini,phpForApache.ini 两个文件,将两个文件中所有的php5.5.12替换成php7.3.4。搜索zend_extension,在前面加;注释掉这行。(笔者没使用XDEBUG所以直接注释掉了,有需要使用XDEBUG的朋友可以阅读参考资料。)

5.修改php7.3.4文件夹内的wampserver.conf文件
将php5_module修改为php7_module
将php5apache2_4.dll修改为php7apache2_4.dll
将$phpConf[‘apache’][‘2.2’]开头的三行删除(php7不支持apache2.2)

PS:
想解决apache模块和php扩展中有感叹号的问题的朋友,
想解决安装好php7.3.4以后扩展中有感叹号和停止符号的朋友,
可以下载笔者修改好的配置文件来参考解决。(点我下载

参考资料:

wampserver下升级php7

wamp环境下php7.2升级,WAMP本地环境升级php7+版本

WampServer 3

懒人方案:

下载笔者修改好的php7.3.4(点我下载

发表评论